Name: ivtv-firmware
Version: 20080701
Release: 36
Epoch: 2
Summary: Firmware for the Hauppauge PVR 250/350/150/500/USB2 model series
License: Redistributable, no modification permitted
URL: http://dl.ivtvdriver.org/ivtv/firmware/
Source0: http://dl.ivtvdriver.org/ivtv/firmware/%{name}-%{version}.tar.gz
BuildArch: noarch
Provides: ivtv-firmware-audio = 0.0.1 ivtv-firmware-dec	= 2.02.023 ivtv-firmware-enc = 2.06.039
Obsoletes: ivtv-firmware-audio <= 0.0.1 ivtv-firmware-dec < 2.02.023 ivtv-firmware-enc < 2.06.039

BuildRequires: gcc git

%description
This package contains the firmware for WinTV Hauppauge PVR 250/350/150/500/USB2
cards.

%prep
%autosetup -n %{name}-%{version} -p1 -c 

%build

%install
mkdir -p %{buildroot}/lib/firmware
rm -f v4l-cx25840.fw
install -p *.fw %{buildroot}/lib/firmware/
install -p *.mpg %{buildroot}/lib/firmware/
install -p license-end-user.txt  %{buildroot}/lib/firmware/%{name}-license-end-user.txt
install -p license-oemihvisv.txt %{buildroot}/lib/firmware/%{name}-license-oemihvisv.txt

%pre

%preun

%post

%postun

%files
%doc license-*.txt
/lib/firmware/*.fw
/lib/firmware/*.mpg
/lib/firmware/*-license-*.txt

%changelog
* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 20080701-36
- Package init
